Summary:          An open-source Session Border Controller
Name:             opensbc
Version:          1.1.4
Release:          3%{?dist}%{?pext}
License:          MPL/GPL/LGPL
Group:            System Environment/Daemons
Source0:          http://www.%{name}.org/releases/russel/%{name}_src-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
URL:              http://www.opensipstack.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           The OpenSIPStack Project
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    opensipstack-devel


%description
OpenSBC is an ongoing attempt to create an open-source Session Border
Controller, fully compliant with the mandates of RFC 3261. OpenSBC can
be used as a SIP router, media anchor for far-end NAT traversal, SIP
egress and ingress trunking, among others.


%prep
%setup -q -n %{name}

# Cleanup
find . -depth -type d -name CVS        -exec %{__rm} -rf {} \;
find . -depth -type f -name .cvsignore -exec %{__rm} -f  {} \;


%build
%configure
%{__make} both


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{%{name},sysconfig}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/{log,run}/%{name}

for FSUF in _d _r; do
  %{__install} -m 0755 obj_linux_*${FSUF}/%{name} \
	${RPM_BUILD_ROOT}%{_prefix}/%{name}/%{name}${FSUF}

  %{__ln_s} -f %{name}${FSUF}    ${RPM_BUILD_ROOT}%{_prefix}/%{name}/%{name}
done

%{__install} -m 0755 %{SOURCE1}  ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2}  ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

%{__install} -m 0644 *.jpg *.xml ${RPM_BUILD_ROOT}%{_prefix}/%{name}
%{__cp}      -r      prompts     ${RPM_BUILD_ROOT}%{_prefix}/%{name}

%{__ln_s} -f %{_sysconfdir}/%{name}/cert.pem ${RPM_BUILD_ROOT}%{_prefix}/%{name}
%{__ln_s} -f %{_localstatedir}/log/%{name}   ${RPM_BUILD_ROOT}%{_prefix}/%{name}/logs


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{name} \
	-d %{_prefix}/%{name}      \
	-c "OpenSBC Service user"  \
	-s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc *.html *.txt doc/html/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(750,%{name},%{name}) %dir %{_sysconfdir}/%{name}
%{_prefix}/%{name}
%attr(750,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %dir %{_localstatedir}/run/%{name}


%changelog
* Thu Dec 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.4-3
- Rewritten for buildsystem

* Fri Oct 12 2007 peter.pramberger@member.fsf.org 1.1.4-2
- created
